import { OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { ThemeService } from '../theme.service';
import * as i0 from "@angular/core";
/**
 * A simple boolean toggle for enabling dark mode.
 * Enabling the toggle sets the theme to `dark`, while disabling sets it to `light`.
 */
export declare class DarkSwitchComponent implements OnInit {
    private themeService;
    theme$: Subject<string | null>;
    constructor(themeService: ThemeService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DarkSwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DarkSwitchComponent, "ng-bootstrap-darkmode-switch, ngbd-darkmode-switch", never, {}, {}, never, never>;
}
